Include rbd and kvm modules in the virtual package

Bug #1206961 reported by Andreas Hasenack on 2013-07-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Precise
High
Tim Gardner
Quantal
High
Tim Gardner
Raring
High
Tim Gardner
Saucy
High
Tim Gardner

Bug Description

Please include the rbd and kvm modules in the virtual image so that we can mount ceph when running on an instance and use nested virtualization.

tags: added: serverstack

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1206961

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Andreas Hasenack (ahasenack) wrote :

There is no need for log files, as this bug is a request to include two modules in the linux-image-virtual image.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → High
Tim Gardner (timg-tpi) on 2013-08-02
Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Precise):
importance: Undecided → High
Tim Gardner (timg-tpi) on 2013-08-06
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Saucy):
status: Confirmed → Triaged
assignee: nobody → Tim Gardner (timg-tpi)
status: Triaged → In Progress
Tim Gardner (timg-tpi) on 2013-08-06
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2013-08-06
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2013-08-06
Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: kernel-key precise saucy
Changed in linux (Ubuntu Quantal):
importance: Undecided → High
Changed in linux (Ubuntu Raring):
importance: Undecided → High
tags: added: quantal raring
removed: kernel-key
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-1.4

---------------
linux (3.11.0-1.4) saucy; urgency=low

  [ Tim Gardner ]

  * Bump ABI when making changes to the inclusion list lest
    you cause conflicts with existing installed kernel
    packages.
    - LP: #1210331
 -- Tim Gardner <email address hidden> Fri, 09 Aug 2013 03:03:51 +0100

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-needed-quantal
tags: added: verification-needed-raring
Tim Gardner (timg-tpi) wrote :

Marking verification-done

dpkg -c linux-image-3.2.0-53-virtual_3.2.0-53.81_amd64.deb|egrep "rbd|kvm"
drwxr-xr-x root/root 0 2013-08-22 16:01 ./lib/modules/3.2.0-53-virtual/kernel/arch/x86/kvm/
-rw-r--r-- root/root 205760 2013-08-22 16:01 ./lib/modules/3.2.0-53-virtual/kernel/arch/x86/kvm/kvm-intel.ko
-rw-r--r-- root/root 94856 2013-08-22 16:01 ./lib/modules/3.2.0-53-virtual/kernel/arch/x86/kvm/kvm-amd.ko
-rw-r--r-- root/root 648624 2013-08-22 16:01 ./lib/modules/3.2.0-53-virtual/kernel/arch/x86/kvm/kvm.ko
-rw-r--r-- root/root 46912 2013-08-22 16:01 ./lib/modules/3.2.0-53-virtual/kernel/drivers/block/rbd.ko

dpkg -c linux-image-3.5.0-40-generic_3.5.0-40.62_amd64.deb|egrep "rbd|kvm"
-rw-r--r-- root/root 46520 2013-08-21 19:24 ./lib/modules/3.5.0-40-generic/kernel/drivers/block/rbd.ko
drwxr-xr-x root/root 0 2013-08-21 19:24 ./lib/modules/3.5.0-40-generic/kernel/arch/x86/kvm/
-rw-r--r-- root/root 96424 2013-08-21 19:24 ./lib/modules/3.5.0-40-generic/kernel/arch/x86/kvm/kvm-amd.ko
-rw-r--r-- root/root 199456 2013-08-21 19:24 ./lib/modules/3.5.0-40-generic/kernel/arch/x86/kvm/kvm-intel.ko
-rw-r--r-- root/root 657056 2013-08-21 19:24 ./lib/modules/3.5.0-40-generic/kernel/arch/x86/kvm/kvm.ko

dpkg -c linux-image-3.8.0-30-generic_3.8.0-30.44_amd64.deb|egrep "rbd|kvm"
-rw-r--r-- root/root 60272 2013-08-22 15:27 ./lib/modules/3.8.0-30-generic/kernel/drivers/block/rbd.ko
drwxr-xr-x root/root 0 2013-08-22 15:28 ./lib/modules/3.8.0-30-generic/kernel/arch/x86/kvm/
-rw-r--r-- root/root 95312 2013-08-22 15:28 ./lib/modules/3.8.0-30-generic/kernel/arch/x86/kvm/kvm-amd.ko
-rw-r--r-- root/root 198472 2013-08-22 15:28 ./lib/modules/3.8.0-30-generic/kernel/arch/x86/kvm/kvm-intel.ko
-rw-r--r-- root/root 697232 2013-08-22 15:28 ./lib/modules/3.8.0-30-generic/kernel/arch/x86/kvm/kvm.ko

tags: added: verification-done-precise verification-done-quantal verification-done-raring
removed: verification-needed-precise verification-needed-quantal verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 3.8.0-30.44

---------------
linux (3.8.0-30.44) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215596

  [ Upstream Kernel Changes ]

  * Don't attempt to send extended INQUIRY command if skip_vpd_pages is set
    - LP: #1215155

linux (3.8.0-30.43) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215095

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Brad Figg ]

  * Start new release

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Kamal Mostafa ]

  * SAUCE: (no-up) Revert "SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE
    for Dell XPS13 backlight"

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Workaround incoherence between fences and LLC across
    multiple CPUs"
    - LP: #1207977
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1207977
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1207977
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1207977
  * drm/i915: Correct obj->mm_list link to
    dev_priv->dev_priv->mm.inactive_list
    - LP: #1207977
  * drm/i915: fix up ring cleanup for the i830/i845 CS tlb w/a
    - LP: #1207977
  * Partially revert "drm/i915: unconditionally use mt forcewake on
    hsw/ivb"
    - LP: #1207977
  * drm/i915: Fix write-read race with multiple rings
    - LP: #1207977
  * drm/i915: merge {i965, sandybridge}_write_fence_reg()
    - LP: #1207977
  * drm/i915: Fix incoherence with fence updates on Sandybridge+
    - LP: #1207977
  * drm/i915: rename sdvox_reg to hdmi_reg on HDMI context
    - LP: #1207977
  * drm/i915: don't setup hdmi for port D edp in ddi_init
    - LP: #1207977
  * drm/i915: Preserve the DDI_A_4_LANES bit from the bios
    - LP: #1207977
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1207977
  * drm/radeon: allocate SA bo in the requested domain
    - LP: #1207977
  * drm/radeon: allow selection of alignment in the sub-allocator
    - LP: #1207977
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1207977
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1207977
  * ext4: fix error handling in ext4_ext_truncate()
    - LP: #1207977
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1207977
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: usx2y: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: pxa2xx: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ASoC: atmel: Fix unl...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.1 KiB)

This bug was fixed in the package linux - 3.2.0-53.81

---------------
linux (3.2.0-53.81) precise; urgency=low

  [ Tim Gardner ]

  * SAUCE: net: ifb: Added include file <linux/sched.h>

linux (3.2.0-53.80) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1215173

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * qla2xxx: Properly set the tagging for commands.
    - LP: #1189928
  * r8169: fix offloaded tx checksum for small packets.
    - LP: #1214984
  * printk: Fix rq->lock vs logbuf_lock unlock lock inversion
    - LP: #1214984
  * zfcp: fix adapter (re)open recovery while link to SAN is down
    - LP: #1214984
  * zfcp: block queue limits with data router
    - LP: #1214984
  * zfcp: status read buffers on first adapter open with link down
    - LP: #1214984
  * ahci: Add AMD CZ SATA device ID
    - LP: #1214984
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1214984
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1214984
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1214984
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1214984
  * zram: avoid access beyond the zram device
    - LP: #1214984
  * zram: protect sysfs handler from invalid memory access
    - LP: #1214984
  * ahci: remove pmp link online check in FBS EH
    - LP: #1214984
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1214984
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1214984
  * b43: ensue that BCMA is "y" when B43 is "y"
    - LP: #1214984
  * ath9k_hw: Assign default xlna config for AR9485
    - LP: #1214984
  * ath9k: fill channel mode in caldata
    - LP: #1214984
  * ath9k: Fix noisefloor calibration
    - LP: #1214984
  * ath9k: Do not assign noise for NULL caldata
    - LP: #1214984
  * Bluetooth: Fix crash in l2cap_build_cmd() with small MTU
    - LP: #1214984
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1214984
  * rtlwifi: rtl8192cu: Add new USB ID for TP-Link TL-WN8200ND
    - LP: #1214984
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1214984
  * xhci: check for failed dma pool allocation
    - LP: #1214984
  * drivers: hv: switch to use mb() instead of smp_mb()
    - LP: #1214984
  * media: dmxdev: remove dvb_ringbuffer_flush() on writer side
    - LP: #1214984
  * rtlwifi: rtl8192cu: Fix duplicate if test
    - LP: #1214984
  * hw_breakpoint: Use cpu_possible_mask in {reserve,release}_bp_slot()
    - LP: #1214984
  * ata_piix: IDE-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1214984
  * ahci: AHCI-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1214984
  * iommu/amd: Only unmap large pages from the first pte
    - LP: #1214984
  * ARM: 7765/1: ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.8 KiB)

This bug was fixed in the package linux - 3.5.0-40.62

---------------
linux (3.5.0-40.62) quantal; urgency=low

  [ Brad Figg ]

  * [Config] KUSER_HELPERS = Y
  * Release Tracking Bug
    - LP: #1215129

linux (3.5.0-40.61) quantal; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Stefan Bader ]

  * (debian) Abort build on unresolved symbols
    - LP: #1166197

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * ALSA: usb: Parse UAC2 extension unit like for UAC1
    - LP: #1212430
  * Btrfs: fix hash overflow handling
    - LP: #1091187, #1091188
    - CVE-2012-5375
  * [media] media: dmxdev: remove dvb_ringbuffer_flush() on writer side
    - LP: #1214956
  * writeback: Fix periodic writeback after fs mount
    - LP: #1214956
  * nfsd4: fix decoding of compounds across page boundaries
    - LP: #1214956
  * ARM: shmobile: emev2 GIO3 resource fix
    - LP: #1214956
  * uprobes: Fix return value in error handling path
    - LP: #1214956
  * tracing: Fix irqs-off tag display in syscall tracing
    - LP: #1214956
  * [CIFS] use sensible file nlink values if unprovided
    - LP: #1214956
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1214956
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1214956
  * [SCSI] megaraid_sas: fix memory leak if SGL has zero length entries
    - LP: #1214956
  * iscsi-target: Fix tfc_tpg_nacl_auth_cit configfs length overflow
    - LP: #1214956
  * dm mpath: fix ioctl deadlock when no paths
    - LP: #1214956
  * dm verity: fix inability to use a few specific devices sizes
    - LP: #1214956
  * lockd: protect nlm_blocked access in nlmsvc_retry_blocked
    - LP: #1214956
  * ext4: don't show usrquota/grpquota twice in /proc/mounts
    - LP: #1214956
  * perf: Clone child context from parent context pmu
    - LP: #1214956
  * perf: Remove WARN_ON_ONCE() check in __perf_event_enable() for valid
    scenario
    - LP: #1214956
  * perf: Fix perf_lock_task_context() vs RCU
    - LP: #1214956
  * ext4: don't allow ext4_free_blocks() to fail due to ENOMEM
    - LP: #1214956
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1214956
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1214956
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1214956
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1214956
  * svcrdma: underflow issue in decode_write_list()
    - LP: #1214956
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: usx...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers